Oracle Javaの脆弱性(Oracle Critical Patch Update Advisory - Jan 2022)

こんにちは。SIOS OSSエバンジェリスト/セキュリティ担当の面です。

01月18日に四半期恒例のOracle Critical Patch UpdateでOracle Javaの脆弱性(CVE-2021-22959 CVE-2022-21349 CVE-2022-21291 CVE-2022-21305 CVE-2022-21277 CVE-2022-21360 CVE-2022-21365 CVE-2022-21366 CVE-2022-21282 CVE-2022-21296 CVE-2022-21299 CVE-2022-21271 CVE-2022-21283 CVE-2022-21293 CVE-2022-21294 CVE-2022-21340 CVE-2022-21341 CVE-2022-21248)が公開されました。今回はこちらのJavaの脆弱性についてまとめてみます。


情報は分かり次第追記・更新します。



CVE概要(詳細はCVEのサイトをご確認ください)

  • CVE-2021-22959
    • 影響するバージョン:Oracle GraalVM Enterprise Edition: 20.3.4, 21.3.0
    • サブコンポーネント: Node (Node.js)
    • CVSS 3.0 Base Score 6.5
    • CVSS Vector: 元情報参照
    • 情報は詳細が分かり次第更新します。
  • CVE-2022-21349
    • 影響するバージョン:Oracle Java SE: 7u321, 8u311; Oracle GraalVM Enterprise Edition: 20.3.4, 21.3.0
    • サブコンポーネント: 2D
    • CVSS 3.0 Base Score 5.3
    • CVSS Vector: 元情報参照
    • 情報は詳細が分かり次第更新します。
  • CVE-2022-21291
    • 影響するバージョン:Oracle Java SE: 7u321, 8u311, 11.0.13, 17.01; Oracle GraalVM Enterprise Edition: 20.3.4, 21.3.0
    • サブコンポーネント: Hotspot
    • CVSS 3.0 Base Score 5.3
    • CVSS Vector: 元情報参照
    • 情報は詳細が分かり次第更新します。
  • CVE-2022-21305
    • 影響するバージョン:Oracle Java SE: 7u321, 8u311, 11.0.13, 17.01; Oracle GraalVM Enterprise Edition: 20.3.4, 21.3.0
    • サブコンポーネント: Hotspot
    • CVSS 3.0 Base Score 5.3
    • CVSS Vector: 元情報参照
    • 情報は詳細が分かり次第更新します。
  • CVE-2022-21277
    • 影響するバージョン:Oracle Java SE: 11.0.13, 17.01; Oracle GraalVM Enterprise Edition: 20.3.4, 21.3.0
    • サブコンポーネント: ImageIO
    • CVSS 3.0 Base Score 5.3
    • CVSS Vector: 元情報参照
    • 情報は詳細が分かり次第更新します。
  • CVE-2022-21360
    • 影響するバージョン:Oracle Java SE: 7u321, 8u311, 11.0.13, 17.01; Oracle GraalVM Enterprise Edition: 20.3.4, 21.3.0
    • サブコンポーネント: ImageIO
    • CVSS 3.0 Base Score 5.3
    • CVSS Vector: 元情報参照
    • 情報は詳細が分かり次第更新します。
  • CVE-2022-21365
    • 影響するバージョン:Oracle Java SE: 7u321, 8u311, 11.0.13, 17.01; Oracle GraalVM Enterprise Edition: 20.3.4, 21.3.0
    • サブコンポーネント: ImageIO
    • CVSS 3.0 Base Score 5.3
    • CVSS Vector: 元情報参照
    • 情報は詳細が分かり次第更新します。
  • CVE-2022-21366
    • 影響するバージョン:Oracle Java SE: 11.0.13, 17.01; Oracle GraalVM Enterprise Edition: 20.3.4, 21.3.0
    • サブコンポーネント: ImageIO
    • CVSS 3.0 Base Score 5.3
    • CVSS Vector: 元情報参照
    • 情報は詳細が分かり次第更新します。
  • CVE-2022-21282
    • 影響するバージョン:Oracle Java SE: 7u321, 8u311, 11.0.13, 17.01; Oracle GraalVM Enterprise Edition: 20.3.4, 21.3.0
    • サブコンポーネント: JAXP
    • CVSS 3.0 Base Score 5.3
    • CVSS Vector: 元情報参照
    • 情報は詳細が分かり次第更新します。
  • CVE-2022-21296
    • 影響するバージョン:Oracle Java SE: 7u321, 8u311, 11.0.13, 17.01; Oracle GraalVM Enterprise Edition: 20.3.4, 21.3.0
    • サブコンポーネント: JAXP
    • CVSS 3.0 Base Score 5.3
    • CVSS Vector: 元情報参照
    • 情報は詳細が分かり次第更新します。
  • CVE-2022-21299
    • 影響するバージョン:Oracle Java SE: 7u321, 8u311, 11.0.13, 17.01; Oracle GraalVM Enterprise Edition: 20.3.4, 21.3.0
    • サブコンポーネント: JAXP
    • CVSS 3.0 Base Score 5.3
    • CVSS Vector: 元情報参照
    • 情報は詳細が分かり次第更新します。
  • CVE-2022-21271
    • 影響するバージョン:Oracle Java SE: 7u321, 8u311, 11.0.13; Oracle GraalVM Enterprise Edition: 20.3.4, 21.3.0
    • サブコンポーネント: Libraries
    • CVSS 3.0 Base Score 5.3
    • CVSS Vector: 元情報参照
    • 情報は詳細が分かり次第更新します。
  • CVE-2022-21283
    • 影響するバージョン:Oracle Java SE: 11.0.13, 17.01; Oracle GraalVM Enterprise Edition: 20.3.4, 21.3.0
    • サブコンポーネント: Libraries
    • CVSS 3.0 Base Score 5.3
    • CVSS Vector: 元情報参照
    • 情報は詳細が分かり次第更新します。
  • CVE-2022-21293
    • 影響するバージョン:Oracle Java SE: 7u321, 8u311, 11.0.13, 17.01; Oracle GraalVM Enterprise Edition: 20.3.4, 21.3.0
    • サブコンポーネント: Libraries
    • CVSS 3.0 Base Score 5.3
    • CVSS Vector: 元情報参照
    • 情報は詳細が分かり次第更新します。
  • CVE-2022-21294
    • 影響するバージョン:Oracle Java SE: 7u321, 8u311, 11.0.13, 17.01; Oracle GraalVM Enterprise Edition: 20.3.4, 21.3.0
    • サブコンポーネント: Libraries
    • CVSS 3.0 Base Score 5.3
    • CVSS Vector: 元情報参照
    • 情報は詳細が分かり次第更新します。
  • CVE-2022-21340
    • 影響するバージョン:Oracle Java SE: 7u321, 8u311, 11.0.13, 17.01; Oracle GraalVM Enterprise Edition: 20.3.4, 21.3.0
    • サブコンポーネント: Libraries
    • CVSS 3.0 Base Score 5.3
    • CVSS Vector: 元情報参照
    • 情報は詳細が分かり次第更新します。
  • CVE-2022-21341
    • 影響するバージョン:Oracle Java SE: 7u321, 8u311, 11.0.13, 17.01; Oracle GraalVM Enterprise Edition: 20.3.4, 21.3.0
    • サブコンポーネント: Serialization
    • CVSS 3.0 Base Score 5.3
    • CVSS Vector: 元情報参照
    • 情報は詳細が分かり次第更新します。
  • CVE-2022-21248
    • 影響するバージョン:Oracle Java SE: 7u321, 8u311, 11.0.13, 17.01; Oracle GraalVM Enterprise Edition: 20.3.4, 21.3.0
    • サブコンポーネント: Serialization
    • CVSS 3.0 Base Score 3.7
    • CVSS Vector: 元情報参照
    • 情報は詳細が分かり次第更新します。

主なディストリビューションの対応方法

詳細は、各ディストリビューションの提供元にご確認ください


対処方法

各ディストリビューションの案内に従い、アップデートを行ってください。全てのRed Hat製品でパッチが行き渡っているかを確認するには、Red Hat SatelliteKatello、Spacewalk等を使うと管理が便利でしょう。

また、サービスの再起動が発生しますので、peacemakerなどOSSのクラスタ製品やLifeKeeperなどの商用のクラスタリング製品を使うとサービス断の時間を最小限にすることが出来ます。


日々のメモを更新しています。

セキュリティ関係ニュースを更新しています。個別で情報出せるようになる前の簡単な情報・リンクなんかも載せていきます。

前へ

Libreswanの脆弱性(Important: CVE-2022-23094)

次へ

MySQLの脆弱性(Oracle Critical Patch Update Advisory - Jan 2022)